Subject: bug#50666: 28.0.50; Fix native compilation on Cygwin

From: Ken Brown <[email-masked]>
Date: Sun, 19 Sep 2021 08:37:52 -0400

On 9/19/2021 8:06 AM, Eli Zaretskii wrote:
>> From: ASSI <[email-masked]>
>> Cc: ASSI <[email-masked]>,  [email-masked]
>> Date: Sun, 19 Sep 2021 13:31:09 +0200
>>
>> Eli Zaretskii writes:
>>> So this basically means that native-compilation is unworkable for
>>> 32-bit Cygwin, right?
>>
>> Explicit rebasing should work on both architectures, the question is
>> just how to best ensure it's done correctly.
> 
> Since Emacs 28 performs native-compilation automatically in the
> background, and also automatically loads the *.eln files once
> produced, I'm not sure what you mean by "should work" if we assume the
> user will have to rebase manually.

Cygwin could maintain a per-user database of *.eln files and their base 
addresses.  (It already maintains a system database of this type.)  The each 
time a new *.eln file is created, it could be rebased and added to the database 
before being loaded.

Ken